Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.jaxp
Class JXSAXParserFactory

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParserFactory
            |
            +--oracle.xml.jaxp.JXSAXParserFactory

public class JXSAXParserFactory
extends SAXParserFactory

Defines a factory API that enables applications to configure and obtain a SAX based parser to parse XML documents.

Since:
  JAXP 1.0

Constructor Summary
`JXSAXParserFactory()` Default Constructor

Method Summary
`boolean` | `getFeature(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`SAXParser` | `newSAXParser()` Creates a new instance of a SAXParser using the currently configured factory parameters.
`void` | `setFeature(java.lang.String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParserFactory
`isNamespaceAware, isValidating, newInstance, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXSAXParserFactory

    public JXSAXParserFactory()

  Default Constructor

Method Detail

### newSAXParser

    public SAXParser newSAXParser()
                           throws ParserConfigurationException,
    SAXException

  Creates a new instance of a SAXParser using the currently configured factory parameters.
  Specified by:
    `newSAXParser` in class `SAXParserFactory`
  Throws:
    `ParserConfigurationException` - if a parser cannot be created which satisfies the requested configuration.
    `SAXException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws ParserConfigurationException,
    SAXNotRecognizedException,
    SAXNotSupportedException

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.
  Specified by:
    `setFeature` in class `SAXParserFactory`
  Parameters:
    `name` - The name of the feature to be set.
    `value` - The value of the feature to be set.
  Throws:
    `SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
    `SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
    `ParserConfigurationException`
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws ParserConfigurationException,
    SAXNotRecognizedException,
    SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
  Specified by:
    `getFeature` in class `SAXParserFactory`
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    `SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
    `SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
    `ParserConfigurationException`
  See Also:
    `XMLReader.getProperty(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.